package com.diagbot.client.hystrix;

import com.diagbot.client.ICSSServiceClient;
import com.diagbot.dto.EMRIntroduceDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.EMRIntroduceVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/3/11 14:33
 */
@Component
@Slf4j
public class ICSSServiceHystrix implements ICSSServiceClient {
    @Override
    public RespDTO<List<EMRIntroduceDTO>> getIntroduceByEMR(@RequestBody EMRIntroduceVO emrIntroduceVO) {
        log.error("【hystrix】调用{}异常", "getIntroduceByEMR");
        return null;
    }
}